org.apache.maven.scm.provider.cvslib.command

## Class CvsCommandUtils

- java.lang.Object
- - org.apache.maven.scm.provider.cvslib.command.CvsCommandUtils

    public class CvsCommandUtils
    extends Object

Author:
  Emmanuel Venisse

### Method Summary

All Methods Static Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `getBaseCommand(String commandName, CvsScmProviderRepository repo, ScmFileSet fileSet)`
`static org.codehaus.plexus.util.cli.Commandline` `getBaseCommand(String commandName, CvsScmProviderRepository repo, ScmFileSet fileSet, boolean addCvsRoot)`
`static org.codehaus.plexus.util.cli.Commandline` `getBaseCommand(String commandName, CvsScmProviderRepository repo, ScmFileSet fileSet, String options)`
`static org.codehaus.plexus.util.cli.Commandline` `getBaseCommand(String commandName, CvsScmProviderRepository repo, ScmFileSet fileSet, String options, boolean addCvsRoot)`
`static boolean` `isCvsNT()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isCvsNT

    public static boolean isCvsNT()
                           throws ScmException

Throws:
  `ScmException`

#### getBaseCommand

    public static org.codehaus.plexus.util.cli.Commandline getBaseCommand(String commandName,
                                                                          CvsScmProviderRepository repo,
                                                                          ScmFileSet fileSet)

#### getBaseCommand

    public static org.codehaus.plexus.util.cli.Commandline getBaseCommand(String commandName,
                                                                          CvsScmProviderRepository repo,
                                                                          ScmFileSet fileSet,
                                                                          boolean addCvsRoot)

#### getBaseCommand

    public static org.codehaus.plexus.util.cli.Commandline getBaseCommand(String commandName,
                                                                          CvsScmProviderRepository repo,
                                                                          ScmFileSet fileSet,
                                                                          String options)

#### getBaseCommand

    public static org.codehaus.plexus.util.cli.Commandline getBaseCommand(String commandName,
                                                                          CvsScmProviderRepository repo,
                                                                          ScmFileSet fileSet,
                                                                          String options,
                                                                          boolean addCvsRoot)